Bug 984472 - [Permanent fix] Backport of GTNPORTAL-3182, GTNPORTAL-3156 and GTNPORTAL-3246
[Permanent fix] Backport of GTNPORTAL-3182, GTNPORTAL-3156 and GTNPORTAL-3246
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity unspecified
: DR01
: 6.1.1
Assigned To: Peter Palaga
FixAvail
:
Depends On: 984405
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 06:29 EDT by Adam Kovari
Modified: 2015-08-31 23:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Maximizing a portlet did not work properly when called from processEvent(). render() was invoked on too many portlets, including those portlets with unchanged states. This action caused inconsistencies in window states of the portlets on the current page. The fix implements changes to ChangeWindowStateActionListener, which now checks the state of all portlets on the current page to prevent two portlets being maximized at the same time. As a result, maximizing portlets in the process events phase now works correctly.
Story Points: ---
Clone Of: 984405
Environment:
- JPP 6.0
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3156 Minor Resolved NullPointerException when rendering portlet in method UIPortlet.getSuitedTheme() 2014-02-19 11:37:05 EST
JBoss Issue Tracker GTNPORTAL-3182 Major Resolved Portal 'overriding' maximization of a window in case multiple portlets on the page receive any event but only one of the... 2014-02-19 11:37:07 EST
JBoss Issue Tracker GTNPORTAL-3246 Major Resolved the only maximized portlet state of last page is kept 2014-02-19 11:37:03 EST

  None (edit)
Description Adam Kovari 2013-07-15 06:29:50 EDT
+++ This bug was initially created as a clone of Bug #984405 +++

This is for permanent fix for GTNPORTAL-3182 for JPP 6.x
Comment 1 JBoss JIRA Server 2013-07-19 09:03:09 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Reproducer portlet
Comment 3 JBoss JIRA Server 2013-07-19 09:04:54 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Configuration for the reproducer
Comment 4 JBoss JIRA Server 2013-07-22 03:23:55 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

I have added some more code to make sure that maximization of multiple portlets one after another works properly when done using AJAX code. This works fine as it triggers an Action request.
Comment 5 JBoss JIRA Server 2013-07-23 08:34:01 EDT
Adam Kovari <akovari@redhat.com> updated the status of jira GTNPORTAL-3182 to Reopened
Comment 6 JBoss JIRA Server 2013-07-23 08:34:01 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Sending new pull request: https://github.com/gatein/gatein-portal/pull/594
Comment 7 JBoss JIRA Server 2013-08-09 05:56:04 EDT
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-3182

There is still another small problem with Portlet maximization :

1. Click on the maximize icon of a portlet in Home page
2. Switch to Sitemap page
3. Switch back to Home page. The previously maximized portlet is restore to Normal ==> NOK
Comment 8 JBoss JIRA Server 2013-08-09 06:13:26 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Let me take a look at that too. Thanks
Comment 9 JBoss JIRA Server 2013-08-09 09:35:04 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

I have fixed this in UIPortal.refreshPage() by commenting out code that sets null to maximized component. BTW I noticed UIPortal has again maximized component field, so now there are 3 places - UIPage,UIPageBody and UIPortal, maybe this should be unified.
Another problem I discovered was minimizing portlet that got maximized from the producer portlet using event before. This should work now as well.
Comment 10 JBoss JIRA Server 2013-08-09 12:32:20 EDT
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-3182

UIPortal maintains a different maximized component which is used to show full portal space. BUT seems now it doesn't work :(
Comment 11 JBoss JIRA Server 2013-08-09 14:03:09 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Could you be more specific? I tried virtually any window state change I could think of and it worked fine.
Comment 12 JBoss JIRA Server 2013-08-11 12:31:11 EDT
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-3182

I mean a portlet in Portal layout can be maximized, just like in Page layout
Comment 13 JBoss JIRA Server 2013-08-11 12:43:27 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3182

Hmm, so do you think PR 609 is now safe to merge? I guess UIPortal maximized component is somewhat unrelated to this JIRA anyway.
Comment 14 JBoss JIRA Server 2013-08-11 23:55:25 EDT
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-3182

Yes, I think the PR is ok to merge.

I just created another JIRA for maximized component in Portal layout GTNPORTAL-3233
Comment 15 JBoss JIRA Server 2013-08-19 09:08:07 EDT
Adam Kovari <akovari@redhat.com> made a comment on jira GTNPORTAL-3156

Updated the PR based on Tran's suggestions.
Comment 16 JBoss JIRA Server 2013-08-21 07:14:45 EDT
Trong Tran <trongtt@gmail.com> made a comment on jira GTNPORTAL-3156

The Fix Version/s is not set properly, it should be 3.7.0.Final (master) instead
Comment 17 JBoss JIRA Server 2013-09-10 07:13:40 EDT
Peter Palaga <ppalaga@redhat.com> made a comment on jira GTNPORTAL-3246

One more related PR was merged: https://github.com/gatein/gatein-portal/pull/640
Comment 18 Jared MORGAN 2014-02-04 17:26:07 EST
If this issue requires mention in release notes (as indicated by the requires_doc_text flag) draft content must be provided by the engineer responsible. 

Please complete the Doc Text field and supply draft info. Docs can do any edits required and mark the issue for inclusion in the Release Notes for RHJP 6.1.1
Comment 19 Peter Palaga 2014-02-06 11:55:09 EST
I cannot set requires_doc_text	to +.
Comment 20 Jared MORGAN 2014-02-06 15:30:31 EST
(In reply to Peter Palaga from comment #19)
> I cannot set requires_doc_text	to +.

Hi Peter

Thanks for the CCFR text. 

You don't need to worry about setting the flag to + - this is done by the docs team after we've reviewed it. 

However if you can't set the flag to minus, that could be a reason why we're seeing all these bugs without any flag status set. Devs may simply not be able to set the flag (could you check if minus is something you can set)?

Note You need to log in before you can comment on or make changes to this bug.